---
-   name: Add authorized key
    hosts: all
    remote_user: root
    vars_prompt:
        -   name: file
            prompt: "Public key file"
            private: no
            default: "~/.ssh/id_rsa.pub"
    tasks:
        -   name: Add user authorized key
            authorized_key:
                user: deploy
                key: "{{ lookup('file', file) }}"
